Warning: closing connection to bgpd because of an I/O error!


Hello,
I have a problem with routing on the host feature.
When i'm trying to configure eBGP neighbour I'm receiving following error:
Warning: closing connection to bgpd because of an I/O error!

Message from systemclt:
ar 17 15:59:26 SADbrama watchquagga[18008]: bgpd state -> up : connect succeededMar 17 15:59:26 SADbrama watchquagga[18008]: zebra state -> up : connect succeeded
Mar 17 16:00:26 SADbrama systemd[1]: quagga.service: Watchdog timeout (limit 1min)!
Mar 17 16:00:26 SADbrama systemd[1]: quagga.service: Unit entered failed state.
Mar 17 16:00:26 SADbrama systemd[1]: quagga.service: Triggering OnFailure= dependencies.
Mar 17 16:00:26 SADbrama systemd[1]: quagga.service: Failed to enqueue OnFailure= job: No such file or directory
Mar 17 16:00:26 SADbrama systemd[1]: quagga.service: Failed with result 'watchdog'.
Mar 17 16:00:31 SADbrama systemd[1]: quagga.service: Service hold-off time over, scheduling restart.
Mar 17 16:00:31 SADbrama systemd[1]: Stopped Cumulus Linux Quagga.
-- Subject: Unit quagga.service has finished shutting down
-- Defined-By: systemd

I've tested similar configuration on my VM's and everything is working fine. The issue accours when I'm installed RoH quagga on my Ubuntu 16.04 physycal server which have a USB flash drive not HDD disk.

Hello, this is Quagga (version 0.99.23.1+cl3u2
4.4.0-31-generic #50-Ubuntu SMP Wed Jul 13 00:07:12 UTC 2016 x86_64 x86_64 x86_64 GNU/Linux

Any ideas what could be wrong?

2 replies

Userlevel 3
What do you mean by "USB flash drive"? I am not sure what the disk would have to do with configuring a BGP peer and quagga going down. It looks like there may be a dependency issue based on the "Triggering OnFailure= dependencies". This message "Failed to enqueue OnFailure= job: No such file or directory" indicates something is possibly not installed correctly. Where did you get the quagga package?
Thank you Jason for a hint!
I've missed that dependencies error. The issue was that I've installed RoH package for Ubuntu 12.04 but I'm using 16.04 on my device.

Thanks again.

Reply